import { Plugin } from 'rollup';
/**
 * Features
 */
declare type FeaturesArr = {
    label: string;
    entry: string | string[];
}[];
/**
 * Languages
 */
declare type LanguagesArr = {
    label: string;
    entry: string | string[];
    worker?: {
        id: string;
        entry: string;
    };
}[];
declare type FeatureConfig = FeaturesArr[number];
declare type FeaturesById = {
    [K in FeatureConfig['label']]: FeatureConfig & {
        label: K;
    };
};
declare type FeatureKey = keyof FeaturesById;
declare type LanguageConfig = LanguagesArr[number];
declare type LanguagesById = {
    [K in LanguageConfig['label']]: LanguageConfig & {
        label: K;
    };
};
declare type LanguageKey = keyof LanguagesById;
export default monaco;
export interface MonacoPluginOptions {
    languages?: LanguageKey[];
    features?: FeatureKey[];
    /**
     * Affects how web worker are imported
     * @default rollup.outputOptions.format is esm or es
     */
    esm?: boolean;
    /**
     * Path prefixes worker url
     * @default rollup.outputOptions.dir with a leading slash
     */
    pathPrefix?: string;
}
declare function monaco(options?: MonacoPluginOptions): Plugin;
